/**
 * Decorators
 */
'use strict';

var _interopRequireDefault = require('babel-runtime/helpers/interop-require-default')['default'];

Object.defineProperty(exports, '__esModule', {
  value: true
});

var _decoratorsAssociations = require('./decorators/associations');

Object.defineProperty(exports, 'hasOne', {
  enumerable: true,
  get: function get() {
    return _decoratorsAssociations.hasOne;
  }
});
Object.defineProperty(exports, 'hasMany', {
  enumerable: true,
  get: function get() {
    return _decoratorsAssociations.hasMany;
  }
});
Object.defineProperty(exports, 'belongsTo', {
  enumerable: true,
  get: function get() {
    return _decoratorsAssociations.belongsTo;
  }
});
Object.defineProperty(exports, 'belongsToMany', {
  enumerable: true,
  get: function get() {
    return _decoratorsAssociations.belongsToMany;
  }
});

var _decoratorsModel = require('./decorators/model');

var _decoratorsModel2 = _interopRequireDefault(_decoratorsModel);

exports.model = _decoratorsModel2['default'];

var _decoratorsAttribute = require('./decorators/attribute');

var _decoratorsAttribute2 = _interopRequireDefault(_decoratorsAttribute);

exports.attribute = _decoratorsAttribute2['default'];

/**
 * Sequelize wrapper
 */

var _sequelizeWrapper = require('./sequelizeWrapper');

var _sequelizeWrapper2 = _interopRequireDefault(_sequelizeWrapper);

exports.Sequelize = _sequelizeWrapper2['default'];

/**
 * Embedded
 */

var _joi = require('joi');

var _joi2 = _interopRequireDefault(_joi);

exports.Joi = _joi2['default'];

var _faker = require('faker');

var _faker2 = _interopRequireDefault(_faker);

exports.Faker = _faker2['default'];