/**
 * Export repeat utility
 */
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = repeat;

function repeat() {
  var callback = arguments[0] === undefined ? function () {} : arguments[0];
  var times = arguments[1] === undefined ? 10 : arguments[1];

  return Array.apply(null, new Array(times)).map(function () {
    return callback();
  });
}

module.exports = exports["default"];